Subject: Re: [PATCH net-next v2 0/2] Add support for PIC64-HPSC/HX MDIO controller

From: Jakub Kicinski <[email-masked]>
Date: Fri, 27 Mar 2026 16:51:58 -0700

On Fri, 27 Mar 2026 05:34:32 -0700 Charles Perry wrote:
> On Thu, Mar 26, 2026 at 08:33:09PM -0700, Jakub Kicinski wrote:
> > On Mon, 23 Mar 2026 15:02:52 -0700 Charles Perry wrote:  
> > >  .../net/microchip,pic64hpsc-mdio.yaml         |  68 +++++++
> > >  drivers/net/mdio/Kconfig                      |   7 +
> > >  drivers/net/mdio/Makefile                     |   1 +
> > >  drivers/net/mdio/mdio-pic64hpsc.c             | 192 ++++++++++++++++++  
> > 
> > Speaking under correction from PHY maintainers but I think we need 
> > a MAINTAINERS entry that will cover Microchip MDIO, or at least the
> > files you're adding. Important read:
> > https://docs.kernel.org/next/maintainer/feature-and-driver-maintainers.html  
> 
> Sure, I think this should go under "RISC-V MICROCHIP SUPPORT" or maybe a
> new "MICROCHIP PIC64-HPSC/HX DRIVER" entry if the former was meant only for
> Polarfire SoC.
> 
> I'll add something in v3.

Thanks! FWIW I'd prefer the latter - smaller entries make the
responsibility clear. Under a big arch entry the maintainers are
usually seeing too many random patches to act. You can add
_both_ dedicated a entry and add the files to RISC-V MICROCHIP,
if you prefer, too.